#include <SoftwareServo.h>

#define pinServo 0  
int pos = 0;    // variable to store the servo position 
long FISHFEEDER =  21600000; //-30
//30000; //30 sec
//60000; //1 min 
//43200000; // 12 hours between feeding
//21600000; // 6 hrs - 21000
long endtime; 
long now;
int LED_STATUS = 1; // status LED
int LED_SUCCESS = 2; // status LED
  
SoftwareServo myservo;  // create servo object to control a servo 


void setup() {
    pinMode(LED_STATUS, OUTPUT);
    pinMode(LED_SUCCESS, OUTPUT);
    
		// attaches the servo on pin to the servo object
  	myservo.attach(pinServo);  
 
		// init servo to 0
 		myservo.write(0);	
 		delay(15); 
}

void loop() {
     
    now = millis();
    endtime = now + FISHFEEDER;
	
 		while(now < endtime) {
   		myservo.write(0);

   		digitalWrite(LED_STATUS, HIGH);   // turn the LED on (HIGH is the voltage level)
   		delay(1000);                       // wait for a second
   		digitalWrite(LED_STATUS, LOW);    // turn the LED off by making the voltage LOW
   
   		delay(10000); //wait for 10 seconds.
   		now = millis();   
  	}

		digitalWrite(LED_SUCCESS, HIGH);   // turn the LED on (HIGH is the voltage level)
  
		// servo will go to 100 degrees
 		for(pos = 0; pos < 100; pos += 1)  // goes from 0 degrees to 180 degrees 
  	{                                  // in steps of 1 degree 
    	myservo.write(pos);              // tell servo to go to position in variable 'pos' 
    	delay(15);                       // waits 15ms for the servo to reach the position 
    	SoftwareServo::refresh();
  	} 

		delay(500);

  	for(pos= myservo.read(); pos>=1; pos-=1)     // goes from 180 degrees to 0 degrees 
  	{                                
    	myservo.write(pos);              // tell servo to go to position in variable 'pos' 
    	delay(15);                       // waits 15ms for the servo to reach the position 
    	SoftwareServo::refresh();
  	} 

     myservo.write(0);
 
	 // set refresh one time / 2
   refresh = refresh ? false : true;
   if (refresh) SoftwareServo::refresh();
 
   digitalWrite(LED_SUCCESS, LOW);    // turn the LED off by making the voltage LOW
}